MiniMax H3 Reference to Video LoRA Trainer
整合
模型 id
minimax/h3/ref2va/trainer
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/minimax/h3/ref2va/trainer?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"training_data_url": "https://example.com/your-file.zip"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://vit.doitong.com/api/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/minimax/h3/ref2va/trainer?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"training_data_url": "https://example.com/your-file.zip"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://vit.doitong.com/api/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"training_data_url": "https://example.com/your-file.zip",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/minimax/h3/ref2va/trainer", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/zh-TW/developers/docs/mcp)
claude mcp add --transport http doitong-models https://vit.doitong.com/api/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "minimax/h3/ref2va/trainer",
"input": {
"training_data_url": "https://example.com/your-file.zip"
}
}
透過 Doitong API 呼叫 MiniMax H3 Reference to Video LoRA Trainer 模型(minimax/h3/ref2va/trainer)。代理程式文件:https://doitong.com/zh-TW/developers/models/minimax/h3/ref2va/trainer.md
POST https://vit.doitong.com/api/v1/run/minimax/h3/ref2va/trainer?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"training_data_url": "https://example.com/your-file.zip"
}
如果回應狀態為 "queued" 或 "running",請輪詢 GET https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20,直到狀態變為 "succeeded";檔案位於 outputs[].url。使用相同主體傳送 POST https://vit.doitong.com/api/v1/quote/minimax/h3/ref2va/trainer,可在執行前取得確切價格。
此請求: $30.00 30,000 API 點數 在此頁面執行
您的新 API 金鑰。 僅會在此時顯示,且已填入下方的程式碼與 API 金鑰欄位。請妥善保密:切勿將其放入在瀏覽器中執行的程式碼。
建立請求
控制項是根據模型結構描述生成的。變更設定時,程式碼和價格會同步更新。
POST
/run/minimax/h3/ref2va/trainer?wait=20
報價 → $30.00
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/minimax/h3/ref2va/trainer?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"training_data_url": "https://example.com/your-file.zip"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://vit.doitong.com/api/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/minimax/h3/ref2va/trainer?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"training_data_url": "https://example.com/your-file.zip"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://vit.doitong.com/api/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"training_data_url": "https://example.com/your-file.zip",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/minimax/h3/ref2va/trainer", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "minimax/h3/ref2va/trainer",
"input": {
"training_data_url": "https://example.com/your-file.zip"
},
"wait_seconds": 20
}
}
}
關於 MiniMax H3 Reference to Video LoRA Trainer
在主體影片片段的 zip 檔上訓練 LoRA,讓參考輸入引導影片生成。`reference_conditioning_p` 設定訓練期間使用參考內容的頻率,`resume_from_lora_url` 可從先前訓練的 LoRA 繼續。另可設定:`rank`、`number_of_steps`、`number_of_frames`、`frame_rate` 與 `aspect_ratio`。回傳權重與設定檔。
參數
名稱類型
預設值允許值
說明
training_data_url必填
類型string
主體訓練影片 ZIP URL;純圖像資料集和混合圖像/影片訓練封存檔會被拒絕,因此圖像必須改作參考側載檔。可選附加檔案與各片段共用基本檔名:例如 `clip01.txt` 說明檔,以及從 `ref_1` 到 `ref_4` 的依序參考檔,命名為 `clip01.ref_1.<ext>` 至 `clip01.ref_4.<ext>`;若沒有參考側載檔,則使用片段中的影格作為自身參考。`<ext>` 決定參考模態:圖像 (.png/.jpg/.jpeg)、音訊 (.wav/.mp3/.flac/.m4a/.ogg/.aac) 或影片 (.mp4/.mov/.avi/.mkv/.webm),其中影片的音軌也會成為音訊參考。訓練片段支援 .mp4、.mov、.avi 和 .mkv;建議至少 10 個片段,越多越好。
rank選填
類型enum
預設值32
8163264128
LoRA 適配階數;設定越高,記憶體消耗越大,但容量也越高。
number_of_steps選填
類型integer
預設值2000
1 – 15,000
訓練步驟總數。
learning_rate選填
類型number
預設值0.0002
0.000001 – 1
最佳化學習率,在提高時權衡訓練可能加速與過度擬合的風險。
number_of_frames選填
類型integer
預設值73
22 – 124
每個訓練樣本的影格數;除以 17 後餘數必須為 5。範例包括 22、39、56、73、90、107 和 124。
frame_rate選填
類型integer
預設值24
8 – 60
目標影片影格速率,以每秒影格數表示。
resolution選填
類型enum
預設值medium
lowmediumhigh
訓練解析度。提高解析度會增加記憶體需求。
aspect_ratio選填
類型enum
預設值16:9
21:916:94:31:13:49:16
從 MiniMax H3 API 提供的相同集合中選擇訓練長寬比。
trigger_phrase選填
類型string
預設值
LoRA 風格啟用片語,訓練時插入說明的開頭。
reference_conditioning_p選填
類型number
預設值0.9
0 – 1
設定訓練使用參考圖像條件控制與無條件文字轉影片音訊訓練的頻率。剩餘的機率會分配給無條件目標,以維持穩定的純提示詞生成。
resume_from_lora_url選填
類型string | null
使用此訓練器先前建立的 .safetensors LoRA 進行暖啟動訓練的 URL,後接 number_of_steps 個額外訓練步驟。除了配接器權重外不會還原任何內容:最佳化和學習率排程都會重新開始。
auto_scale_input選填
類型boolean
預設值false
是否透過自動影片縮放來匹配目標 fps 和影格數;true 會啟用此調整。
split_input_into_scenes選填
類型boolean
預設值true
為超過持續時間門檻的影片啟用場景分割;分割片段的參考側載檔會被捨棄。
split_input_duration_threshold選填
類型number
預設值30
1 – 60
以秒數表示的場景分割觸發門檻:只有長於該門檻的影片才會分割。
debug_dataset選填
類型boolean
預設值false
在提交完整訓練前下載封存檔以檢查預處理的選項。啟用後,訓練器會封裝處理後的資料集,供你手動檢查說明、參考圖像、影片和圖像是否正確。
strict_dataset選填
類型boolean
預設值false
嚴格處理預處理問題;否則這些問題會被記錄並使用文件所述的備援方式解決。啟用後,若說明需要空白提示詞、缺少參考側載檔,或影片音訊無法讀取,請求會被拒絕,而不會使用這些備援方式。
必填
輸出
GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "minimax/h3/ref2va/trainer",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 30000,
"usd": "30.00",
"charged": 30000,
"refunded": 0
},
"input": {
"training_data_url": "https://example.com/your-file.zip"
},
"output": {
"lora_file": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200
},
"config_file": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200
},
"debug_dataset": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200
}
},
"outputs": [
{
"type": "file",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_size": 1843200,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
您的檔案,由您選擇每個 outputs[].url 都是儲存空間中的副本:可永久保留(按 GB-月計費),或免費保留 7 天;可透過帳戶設定或 ?storage= 設定。
所有模型使用相同結構圖片、影片和音訊皆包含 type、url、content_type、width、height 和 duration。output 是模型自己的結果物件。
輸出欄位
- lora_file
- object {url, content_type, file_name, file_size}`.safetensors` 格式訓練 LoRA 權重的 URL。
- config_file
- object {url, content_type, file_name, file_size}推論端點設定的組態。
- debug_dataset
- object {url, content_type, file_name, file_size} | null僅適用於啟用 `debug_dataset` 的請求;此可下載封存檔包含預處理後的訓練資料。
其他 MiniMax H3 變體
更多模型:訓練
給 AI 代理程式:此頁面的 Markdown 位於 https://doitong.com/zh-TW/developers/models/minimax/h3/ref2va/trainer.md. 所有模型與指南: https://doitong.com/developers/llms.txt